
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

module SubjectableController
  extend ActiveSupport::Concern

  included do
    before_action :authenticate_user!, only: [:subjecting, :unsubjecting]
  end

    # POST /v1/learning_objects/1/subjects
    # POST /v1/learning_objects/1/subjects.json
    def subjecting
      subjectable.add_subjects(ids: params[:subjects])
      render json: subjectable.subjects, status: :created
    end

    # DELETE /v1/learning_objects/1/subjects
    # DELETE /v1/learning_objects/1/subjects.json
    def unsubjecting
      subjectable.remove_subjects(ids: params[:subjects])
      render json: subjectable.subjects, status: :ok
    end

    protected

    def subjectable
      raise NotImplementedError
    end

end
