
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: packages
#
# package_items_id      integer
# created_at            datetime       null: false
# updated_at            datetime       null: false
# file_path             string

class Package < ApplicationRecord
  has_many :package_items, dependent: :destroy

  validates_presence_of :file_path

  def add_items(items)
    items.each do |item|
      package_item = PackageItem.where(package: self, packageable: item).first_or_create
    end
  end
end
