
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class ApplicationCreationService

  def initialize(app_id_generate_service)
    @app_id_generate_service = app_id_generate_service
  end

  def create(params={})
    Application.create! params.merge(application_id: generate_random_app_id)
  end

  private

  def generate_random_app_id
    app_id = @app_id_generate_service.generate_random
    return generate_random_app_id unless Application.find_by_application_id(app_id).blank?
    return app_id
  end

end
