
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class Reviews::CreateReviewService

  def execute(review, rates = [])
    if review.save && valid_rates_params?
      ReviewRating.import build_ratings(review, rates)
      return true
    end

    review.destroy
    false
  end

  private

  def build_ratings(review, rates = [])
    ratings = []
    rates.each { |id, value| ratings << ReviewRating.new(review: review, rating_id: id.to_i, value: value.to_i) }
  end

  def valid_rates_params?
    !params[:rates].blank? && params[:rates].is_a?(Hash) && params[:rates].size == Rating.count
  end

end