
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

require 'mina/bundler'
require 'mina/rails'
require 'mina/git'

set :rails_env, 'production'

set :domain, 'portalmecdev.c3sl.ufpr.br'
set :deploy_to, "/home/portalmec/#{rails_env}"
set :app_path, "#{deploy_to}/#{current_path}"
set :repository, 'git@gitlab.c3sl.ufpr.br:portalmec/portalmec.git'
set :branch, 'master'
set :user, 'portalmec'

task :environment do
end

task deploy: :environment do
  deploy do
    invoke :'git:clone'

    queue %[echo "-----> Installing ruby gems"]
    execute 'bundle install --deployment --without development test'

    queue %[echo "-----> Migrating database"]
    execute 'bundle exec rake db:migrate'

    queue %[echo "-----> Populate database with db/seeds.rb"]
    execute 'bundle exec rake db:seed'

    queue %[echo "----------> Pre compiling assets"]
    execute 'bundle exec rake assets:precompile'
  end
end