#!/bin/bash

# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

export SECRET_TOKEN=$(rake secret)
export SECRET_KEY_BASE=$(rake secret)

### Postgres/Active Record credentials
export PORTALMEC_DB_HOST=localhost
export PORTALMEC_DB_POOL=25
export PORTALMEC_DB_NAME=portalmec
export PORTALMEC_DB_USERNAME=
export PORTALMEC_DB_PASSWORD=

### Dspace credentials
export PORTALMEC_DSPACE_LOGIN=
export PORTALMEC_DSPACE_PASSWORD=
export PORTALMEC_DSPACE_PORT=
export PORTALMEC_DSPACE_HOST=

### Elasticsearch credentials
export PORTALMEC_ELASTICSEARCH_LOGIN=
export PORTALMEC_ELASTICSEARCH_PASSWORD=
export PORTALMEC_ELASTICSEARCH_PORT=
export PORTALMEC_ELASTICSEARCH_HOST=

### Cache
export MEMCACHE_SERVERS=localhost

### SMTP
export ACTION_MAILER_HOST=
export SMTP_ADDRESS=
export SMTP_PORT=

### Gitlab
export GITLAB_PORTALMEC_PRIVATE_TOKEN=

### Rails environment
export RAILS_SERVE_STATIC_FILES=FALSE
export RAILS_ENV=production

### Puma
export PORT=3000
export WEB_CONCURRENCY=$(nproc) # workers
export RAILS_MAX_THREADS=6 # threads per worker

### Redis
export REDIS_HOST=localhost:6379
