
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

namespace :attachment do
  desc 'Set mime type where is unknown'
  task set_unknown: :environment do
    LearningObject::Attachment.unknown_mime_type.find_each { |a| BitstreamMimeWorker.perform_async(a.id) }
  end

  desc 'Set default attachment to mp4 version (when video type)'
  task set_videos_to_mp4: :environment do
    LearningObject::Attachment.where(mime_type: 'video/mp4', bundle_name: 'ORIGINAL').includes(:learning_object).find_each do |a|
      a.learning_object.update(attachment: a) if a.learning_object && a.learning_object.attachment != a
    end
  end
end
