#!/bin/bash

# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

source /home/.rvm/scripts/rvm

export PUMA_APP_DIR=/portalmec

source $PUMA_APP_DIR/config/env_vars.sh 2>/dev/null

option="${1}"

case ${option} in
   start)
      cd $PUMA_APP_DIR
      exec bundle exec sidekiq
      ;;
   stop)
       cd $PUMA_APP_DIR
       bundle exec sidekiqctl stop shared/pids/sidekiq.pid
      ;;
   *)
      echo "`basename ${0}`:usage: [start] | [stop]"
      exit 1 # Command to come out of the program with status 1
      ;;
esac
