
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

require 'test_helper'

class V1::ComplaintControllerTest < ActionController::TestCase
  tests V1::ComplaintsController
  include Devise::Test::ControllerHelpers

  test 'should get index' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

  test 'should create complaint and return :created code' do
    jack = users(:jack)

    auth_request jack

    post :create, params: { complaint: {
                        user_id: jack.id,
                        description: 'description of complaint',
                        complainable_id: learning_objects(:one).id,
                        complaint_reason_id: complaint_reasons(:reason_1).id,
                        complainable_type: 'LearningObject'
                        }
                      }
    assert_response :created
  end

  test 'should unprocessable_entity complaint and return :created code' do
    jack = users(:jack)

    auth_request jack

    post :create, params: { complaint: {
                        user_id: nil,
                        description: 'description of complaint',
                        complainable_id: learning_objects(:one).id,
                        complaint_reason_id: complaint_reasons(:reason_1).id,
                        complainable_type: 'LearningObject'
                        }
                      }
    assert_response :unprocessable_entity
  end

end
