
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

require 'test_helper'

class V1::InstitutionControllerTest < ActionController::TestCase
  tests V1::InstitutionsController
  include Devise::Test::ControllerHelpers

  test 'should get index' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

  test 'should user show institution' do
    auth_application
    ufpr = institutions(:ufpr)
    get :show, params: { id: ufpr.id }
    assert_response :ok
  end

  test 'should user post institution to create and return :unauthorized' do
    post :create, params: { institution: {name: 'my institution',
                                description: 'testing institution',
                                address: 'politecnico',
                                city: 'Curitiba',
                                country: 'Brasil'
                                }
                              }
    skip assert_response :unauthorized
  end

  test 'should user post institution to create and return :created code' do
    auth_request users(:jack)
    post :create, params: { institution: {name: 'my institution',
                                description: 'testing institution',
                                address: 'politecnico',
                                city: 'Curitiba',
                                country: 'Brasil'
                                }
                              }
    skip assert_response :created
  end

  test 'should user put institution to update and return :ok' do
    auth_request users(:jack)
    ufpr = institutions(:ufpr)
    put :update, params: { id: ufpr.id, institution: { description: 'testing institution' } }
    assert_response :ok
  end

  test 'should user put institution to update and return :unauthorized' do
    ufpr = institutions(:ufpr)
    put :update, params: { id: ufpr.id, institution: { description: 'testing institution' } }
    assert_response :unauthorized
  end

  test 'should user delete institution to destroy and return :ok' do
    auth_request users(:jack)
    ufpr = institutions(:ufpr)
    delete :destroy, params: { id: ufpr.id }
    assert_response :ok
  end

  test 'should user delete institution to destroy and return :unauthorized' do
    ufpr = institutions(:ufpr)
    delete :destroy, params: { id: ufpr.id }
    assert_response :unauthorized
  end

  test 'should user show institution users' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

end
