
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

require 'test_helper'

class V1::Users::BookmarksControllerTest < ActionController::TestCase
  tests V1::Users::BookmarksController
  include Devise::Test::ControllerHelpers

  test 'should get index' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

  test 'should user append learning object in bookmarks and return :created code' do
    auth_request users(:jack)
    lo = learning_objects(:one)
    post :create, params: { id: users(:jack).id, bookmarks: { id: lo.id,
                                                   type: "LearningObject" }
    }
    assert_response :created
  end

  test 'should user append collection in bookmarks and return :created code' do
    auth_request users(:jack)
    collection = collections(:ufpr)
    post :create, params: { id: users(:jack).id, bookmarks: { id: collection.id,
                                                   type: "Collection" }
    }
    assert_response :created
  end

  test 'should user undo bookmark of learning object to destroy and return :ok' do
    auth_request users(:jack)
    lo = learning_objects(:one)
    delete :destroy, params: { id: users(:jack).id, bookmarks: { id: lo.id,
                                                     type: "LearningObject" }
    }
    assert_response :ok
  end

  test 'should user undo bookmark of collection to destroy and return :ok' do
    auth_request users(:jack)
    collection = collections(:ufpr)
    delete :destroy, params: { id: users(:jack).id, bookmarks: { id: collection.id,
                                                       type: "Collection" }
    }
    assert_response :ok
  end

end
