
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: complaints
#
#  id                  :integer          not null, primary key
#  description         :text
#  user_id             :integer
#  complainable_id    :integer
#  complainable_type  :string
#  complaint_reason_id :integer
#  created_at          :datetime         not null
#  updated_at          :datetime         not null
#

require 'test_helper'

class ComplaintTest < ActiveSupport::TestCase
  should belong_to :complaint_reason
  should belong_to :user
  should belong_to :complainable

  should validate_presence_of(:user)
  should validate_presence_of(:complainable)
  should validate_presence_of(:description)
  should validate_presence_of(:complaint_reason)

  # TODO: shoulda try to insert user with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:user_id).scoped_to([:complaintable_id, :complaintable_type]).case_insensitive
end
