
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: scores
#
#  id         :integer          not null, primary key
#  name       :string
#  code       :string
#  weight     :float
#  active     :boolean          default("true")
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  score_type :string           default("{}"), is an Array
#

require 'test_helper'

class ScoreTest < ActiveSupport::TestCase
  should have_many :score_user_categories
  should have_many(:user_categories).through(:score_user_categories)

  should validate_presence_of(:name)
  should validate_presence_of(:code)
  should validate_presence_of(:weight)

  should validate_uniqueness_of(:code)
end
