
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

require 'test_helper'

class InstitutionImporterTest < ActiveSupport::TestCase

  test 'importing learning object with metadata publisher = nil' do
    importer = InstitutionImporter.new()
    lo = learning_objects(:lo_complete)
    importer.items = [lo]
    importer.import
    assert_not_nil Institution.find_by_name(lo.publisher.name)
  end

  test 'importing learning object with metadata publisher != nil' do
    importer = InstitutionImporter.new()
    lo = learning_objects(:lo_metadata)
    importer.items = [lo]
    importer.import
    assert_not_nil Institution.find_by_name(lo.publisher.name)
  end

  test 'importing learning object with institution that already exists' do
    importer = InstitutionImporter.new()
    lo1 = learning_objects(:lo_metadata)
    lo2 = learning_objects(:lo_metadata2)
    importer.items = [lo1, lo2]
    importer.import
    assert_equal Institution.find_by_name(lo1.publisher.name), Institution.find_by_name(lo2.publisher.name)
  end

end
